VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const & () const
| operator VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX & ()
bool | operator== (PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const &rhs) const
bool | operator!= (PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | perViewPositionAllComponents

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceMultiviewPerViewAttributesPropertiesNVX

## Detailed Description

Definition at line 15564 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::operator VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX & | ( |  | ) |

inline

Definition at line 15571 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX*>(this);
}

## operator VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::operator VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const & | ( |  | ) | const

inline

Definition at line 15566 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::operator!= | ( | PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const & | rhs | ) | const

inline

Definition at line 15583 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::operator== | ( | PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const & | rhs | ) | const

inline

Definition at line 15576 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( perViewPositionAllComponents == rhs.perViewPositionAllComponents );
}

References perViewPositionAllComponents, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## perViewPositionAllComponents

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::perViewPositionAllComponents

Definition at line 15593 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::pNext = nullptr

Definition at line 15592 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::sType = StructureType::ePhysicalDeviceMultiviewPerViewAttributesPropertiesNVX

private

Definition at line 15589 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::operator==
bool operator==(PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX const &rhs) const
Definition: vulkan.hpp:15576
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::perViewPositionAllComponents
Bool32 perViewPositionAllComponents
Definition: vulkan.hpp:15593
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::pNext
void * pNext
Definition: vulkan.hpp:15592
VkPhysicalDeviceMultiviewPerViewAttributesPropertiesNVX
Definition: vulkan_core.h:7211
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewPerViewAttributesPropertiesNVX::sType
StructureType sType
Definition: vulkan.hpp:15589